package com.ghy.customer.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ghy.common.annotation.Excel;
import com.ghy.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 消费者选品对象 customer_selection
 *
 * @author clunt
 * @date 2023-01-15
 */
public class CustomerSelection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 师傅id */
    @Excel(name = "师傅id")
    private Long workId;

    /** 分公司id */
    @Excel(name = "分公司id")
    private Long deptId;

    /** 消费者id */
    @Excel(name = "消费者id")
    private Long customerId;

    /** 分公司类目id */
    @Excel(name = "分公司类目id")
    private Long deptCategoryId;

    private List<Long> deptCategoryIds;

    /** 选品类型 1.选取 2.屏蔽 */
    @Excel(name = "选品类型 1.选取 2.屏蔽")
    private Long selectionType;

    /** 类型 */
    @Excel(name = "类型")
    private Integer type;

    public List<Long> getDeptCategoryIds() {
        return deptCategoryIds;
    }

    public void setDeptCategoryIds(List<Long> deptCategoryIds) {
        this.deptCategoryIds = deptCategoryIds;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setWorkId(Long workId)
    {
        this.workId = workId;
    }

    public Long getWorkId()
    {
        return workId;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setCustomerId(Long customerId)
    {
        this.customerId = customerId;
    }

    public Long getCustomerId()
    {
        return customerId;
    }
    public void setDeptCategoryId(Long deptCategoryId)
    {
        this.deptCategoryId = deptCategoryId;
    }

    public Long getDeptCategoryId()
    {
        return deptCategoryId;
    }
    public void setSelectionType(Long selectionType)
    {
        this.selectionType = selectionType;
    }

    public Long getSelectionType()
    {
        return selectionType;
    }

    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("workId", getWorkId())
                .append("deptId", getDeptId())
                .append("customerId", getCustomerId())
                .append("deptCategoryId", getDeptCategoryId())
                .append("selectionType", getSelectionType())
                .append("type", getType())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
